const path = require('path');
const CleanWebpackPlugin = require('clean-webpack-plugin');

module.exports = {
  entry: './src/index.js',
  plugins: [new CleanWebpackPlugin(['dist'])],
  module: {
    rules: [
      {
        test: /\.m?js$/,
        exclude: /(node_modules|bower_components)/,
        use: {
          loader: 'babel-loader'
        }
      },
    ]
  },
  output: {
    filename: 'vue-xmobile-weixinsdk.js',
    path: path.resolve(__dirname, './dist'),
    library: 'rtWx',
    libraryTarget: 'umd',
    umdNamedDefine: true
  },
  externals: {
    uuidjs: {
      root: 'UUID',
      commonjs: 'uuidjs',
      commonjs2: 'uuidjs',
      amd: 'uuidjs'
    },
  }
};
